| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | jiangly | 3670 |
| 3 | Kevin114514 | 3657 |
| 4 | maroonrk | 3355 |
| 5 | Um_nik | 3353 |
| 6 | squareOf105 | 3346 |
| 7 | tourist | 3343 |
| 8 | strapple | 3324 |
| 9 | heuristica | 3322 |
| 10 | jiangbowen | 3291 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 158 |
| 2 | nik_exists | 150 |
| 2 | maspy | 150 |
| 4 | AmShZ | 143 |
| 5 | Um_nik | 141 |
| 6 | Errichto | 139 |
| 7 | adamant | 137 |
| 8 | BledDest | 133 |
| 8 | maroonrk | 133 |
| 10 | qwexd | 130 |
|
0
If I understand correctly, the editorial claims that the answer for B is always n — dx — dy. Can someone prove it mathematically? How about an intuitive proof? Was just trying to figure out how I can come up with such ideas myself in the future. This sounds like a genius idea to me but I am not sure why it works. |
|
+5
How to solve Div. 2 C? |
|
On
dreamoon_love_AA →
If you ask me how to improve your algorithm competition skill, I will give you the link of this blog., 12 years ago
+11
Depends on how much you are able to do in those 5 hours. |
|
0
Which software/tool did you use to draw that graph? |
|
-9
I hope you don't win. You are one of those cheaters from division 1. |
|
+3
You can host your contest on Hackerrank free of cost. You don't even need to write to the admins for permission and stuff. You can just host your contest whenever you want. The contest will be accessible to only those people you share the URL with. Alternatively, if you want public participation, you can write to Hackerrank requesting them to display your contest in the Upcoming Contests page. This method is much easier than setting up things like PC2, CMS, DOMJudge etc. |
|
On
code_overlord →
Introduction to tries through Facebook Hacker Cup 2015 Round 1 — Autocomplete, 12 years ago
+3
Lol. Thank you! |
|
On
code_overlord →
Introduction to tries through Facebook Hacker Cup 2015 Round 1 — Autocomplete, 12 years ago
+3
A beginner would probably find it interesting and upvote the post. A non-beginner, on the other hand, would find it boring and downvote it. |
|
On
code_overlord →
Introduction to tries through Facebook Hacker Cup 2015 Round 1 — Autocomplete, 12 years ago
0
I am glad it was helpful to you. |
|
-15
ops? you mean "operations"? :D |
|
+8
That's complete nonsense. It's Codechef which takes itself down every time there is a contest. |
|
0
You got up-votes on that. Your plan just backfired! :D |
|
-30
Yeah you can participate all you want but you are not winning this one because tourist is participating. |
|
0
Why does Div. 1 start 5 minutes later? UPD: Oh! Div. 2 also moved by 5 minutes. |
|
-8
There's only one way to find out who sorry_dreamoon is and this will work only if he is not very careful. Someone who works at Codeforces can determine the IP address from where he is logging in and compare it with the IP addresses of all other users. By this comparison, we will either get one particular user who always logs in from the same IP address or we might get a few users who log in from the same IP address (maybe behind a university proxy?). Hopefully, there won't be many International Grandmasters in the list. This will work only if sorry_dreamoon is not very careful and doesn't use proxy servers (or Tor) to be anonymous on the internet (at least while logging into Codeforces with that handle). |
|
0
Oh nice! Btw, Thanks for the 3.94 update. CodeChef parser is working now! |
|
0
tourist has a much simpler implementation for your solution. Check this: http://codeforces.me/contest/507/submission/9517954 |
|
0
I think the webpage formatting has got messed up. Check the login/logout links and the footer note. They appear on the left for some reason. I am viewing it in Google Chrome. |
|
0
Just curious, how much money have you got in donations till date? |
|
0
I did it intuitively but I find it very difficult to explain. Here is the key observation that led me to the solution: "If book A is read before book B, then weight[A] will be added to the total weight lifted while retrieving book B. So to retrieve any book X, we need to lift weight equivalent to the total weights of the books that were read after the last time X was read." Hope this helps! |
|
-9
"soon" is very vague. |
|
-35
I appreciate the efforts you put in to make this contest possible but without the editorials its all useless. |
|
0
What is the correct output to that? |
|
+9
sorry_dreamoon uses Java 7. So, I don't think it can be tourist. |
|
0
In my opinion, brute force solutions are quite prone to errors |
|
0
dreamoon_love_AA has solved all 5 problems now. He needs to find 5 hacks to get to first place. He has currently locked C. I think that is a very good choice. |
|
+38
Hmmm ... dreamoon_love_AA is in my room ... I can make wrong submissions so that he can hack them and get to the top ... interesting idea ... ;) :D |
|
-9
sorry_dreamoon is now at first place! dreamoon_love_AA's only chance now is to solve E quickly and find lots of hacks! |
|
-42
I have seen the problems and have decided to not participate. I don't see myself solving any problem other than A and B and that's not good enough for me. Maybe, I will have better luck next time. GG. |
|
-7
Is sorry_dreamoon participating in your place? |
|
-7
Is it because you are gonna participate with a fake account? |
|
0
Can someone explain a dp solution to RRPLAYER (other than the one described in the editorial)? According to the editorial one needs to pre-compute values but many solutions didn't do that. |
|
0
lol yes! |
|
0
I am getting 502 bad gateway. |
|
0
I think it is time for me to say "Goodbye Expert". |
|
+5
I think it is very difficult to make a jump from Expert to Master. |
|
Good luck! PS: Have you registered for Codeforces round #283? (Yeah, you must register if you want to participate.) |
|
+2
The last Endagorion contest was a failure for me! I hope it will be different today! :D |
|
+2
I hope that someday my graph becomes like that too! |
|
0
Oh really? |
|
0
I want to be a part of this. Please add me to the group! |
|
+19
Not harder. Just painful to implement and quite prone to errors! |
|
+1
I didn't solve it but i think it is purely math. For each mole there can be 4 orientations. So for a regiment there can be 256 orientations. Just check all these orientations and output the optimal answer. |
|
0
I was thinking of hacking binary search solutions by giving huge test cases but didn't do it. |
|
0
Can binary search pass the time limits for problem B? |
|
0
How to solve C? I submitted a solution which passed pretests but I am afraid that it will fail systests. |
|
+1
Just curious, do you have any special reason behind making this contest combined for both divisions? |
|
+1
How to solve C? |
|
+6
5000 contestants have registered!! EDIT: The final number is 5093. Hasn't this broken all existing records on Codeforces? |
|
+3
Where can I see the number of problems I have solved? |
|
0
I am getting 502 bad gateway :D |
|
0
Whose? |
|
0
Can you be more elaborate, please? What does the dp state (i, j) signify? |
|
+2
How to solve C? |
|
0
Where is scoreboard for out of competition participants? |
|
+6
How is that possible? SOMEONE would have solved that problem right? |
|
0
|
|
0
You are probably right! JetBrain IDEs are really great. But the question is, will it be free to use? |
|
-8
Hey Petr, didn't you make a similar mistake (taking different value for MOD) in a past contest? I remember reading about it on your blog! |
|
+18
Are you now scared that yours too is incorrect?! :D |
|
-6
How did you arrive at this conclusion? Have you solved a similar problem before or was it intuition or did you think of this during the contest? |
|
+8
I got my first hack on codeforces! I tried a little different strategy this round. I solved B and A quickly and then tried to solve C within the first hour. But I couldn't. Nevertheless, I spent the whole of the second hour trying to hack but was not very lucky until the last 10 minutes. About 7 minutes before the end of the contest I managed to hack a solution! |
|
+23
Where are the final standings?? |
|
0
I am interested! |
|
0
The solution doesn't exist if k > n + m - 2. In the ideal case, after making k cuts, the remaining pieces have equal area. Sometimes, this is not possible. First, try to make only vertical cuts in the best way (i.e the minimum area is largest). If k < n - 1, we will have ⌊ m / p⌋ columns in the minimum area. So area is that number multiplied by n. Same way try to make only horizontal cuts. In some cases we cannot make only horizontal or only vertical cuts, so we have to do both. Which one to do first? Try both possibilities, i.e. first vertical then horizontal and then first horizontal and then vertical, and then print the maximum resulting area (of the smallest piece) as answer. My solution: 7171855 |
|
0
Great round! I submitted three. Hope they pass systests! |
|
0
In 448E - Про делители, can someone explain better how to make X2i from Xi? I don't understand the wording in the editorial! |
|
+1
Simple round but I messed it up big time! |
|
0
i agree. |
|
0
More than 4000 people have registered! Isn't this the highest till date? |
|
0
What is world finals mirror? |
|
0
Had a really great performance Topcoder SRM 625 a few hours ago ... hoping for same (or maybe better) performance in this codeforces round! GL & HF everyone! |
|
+1
In problem E editorial, what is 'v' (mentioned in first line)? I would also like to know how you arrived at the DP state you described. Thanks! |
|
0
How will this round be rated (keeping in mind that both divisions can participate)? |
|
0
Can someone elaborate on how to solve 437D - The Child and Zoo? I don't understand the editorial. |
|
0
I am not completely convinced about my algorithm, too. I don't know if it can be proved. |
|
0
Need help with div 2 B The Child and Set This is the approach I took to solve it: Iterate over all numbers from 1 to limit and decrease lowbit of each number from the sum (if it is not possible, then just continue to next number) But, for some reason, the order in which I consider the numbers matters. If I try all numbers from 1 to limit, I get wrong answer (6785689). But, if I try numbers in the reverse order i.e. from limit down to 1, I get Accepted (6785709). Can anyone explain why this happened? |
|
0
Please improve your english. I don't understand anything in Problem D editorial. PS: Is this editorial Google translated from Russian or something? Please stop doing that. |
|
0
One of the best codeforces editorials ever! Thanks! |
|
-21
But its at night (in India) so doesn't matter to me! |
|
0
I haven't been doing well in contests lately. I hope things change in this one. Looking forward to it. Best of luck everyone! |
|
0
I have seen some DP solutions for problem C Sereja and Brackets. Can anyone explain how a DP solution would work? PS: BTW, the tutorial quality is very poor (at least the English version). |
|
0
yeah. your graph is impressive. waiting for the tutorials to upsolve. |
|
0
What is dynamic scoring? |
| Name |
|---|


